## GstWebRTCRTPTransceiver GstWebRTCRTPTransceiver — RTCRtpTransceiver object |

## Properties

guint | mlineindex | Read / Write / Construct Only
GstWebRTCRTPReceiver * | receiver | Read / Write / Construct Only
GstWebRTCRTPSender * | sender | Read / Write / Construct Only

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstWebRTCRTPTransceiver

## Includes

    #include <gst/codecparsers/gstmpeg4parser.h>

## Description

https://www.w3.org/TR/webrtc/#rtcrtptransceiver-interface

## Functions

## Types and Values

## Property Details

### The `“mlineindex”` property

      “mlineindex”               guint

Index in the SDP of the Media.

Flags: Read / Write / Construct Only

Default value: 0

### The `“receiver”` property

      “receiver”                 GstWebRTCRTPReceiver *

The RTP receiver for this transceiver.

Flags: Read / Write / Construct Only

### The `“sender”` property

      “sender”                   GstWebRTCRTPSender *

The RTP sender for this transceiver.

Flags: Read / Write / Construct Only

## See Also

GstWebRTCRTPSender, GstWebRTCRTPReceiver